=== debian/changelog ===
lilv (0.4.2-2) unstable; urgency=low

  * Improve description.
  * Fix a tiny bug preventing Lilv from properly working with dyn-manifest.

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 May 2011 21:36:23 +0200

lilv (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #625791).

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 May 2011 12:40:02 +0200
