=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libglib2.0-dev,
 libjack-dev,
 libsord-dev,
 lv2core,
 lv2-extensions-good,
 pkg-config,
 python-all-dev (>= 2.6.6-3),
 swig
Build-Depends-Indep: doxygen,
 graphviz
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://drobilla.net/software/lilv/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lilv.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lilv.git

Package: liblilv-0-0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: python-lilv
Section: python
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Description: library for simple use of LV2 plugins (Python bindings)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the Python bindings.

Package: liblilv-dev
Section: libdevel
Architecture: all
Depends: liblilv-0-0 (>= ${source:Version}),
 liblilv-0-0 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: liblilv-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for simple use of LV2 plugins (documentation)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the documentation files.

Package: lilv-utils
Section: sound
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an LV2 plugin.
  * lv2jack - Run an LV2 plugin as a JACK application.
  * lv2ls - List all installed LV2 plugins.
