## lilv 0.4.4

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 import waflib.Logs as Logs
 
 # Version of this package (even if built as a child)
-LILV_VERSION       = '0.4.2'
+LILV_VERSION       = '0.4.4'
 LILV_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -31,11 +31,6 @@
     opt.load('python')
     opt.add_option('--no-utils', action='store_true', default=False, dest='no_utils',
                    help="Do not build command line utilities")
-    opt.add_option('--no-jack', action='store_true', default=False, dest='no_jack',
-                   help="Do not build JACK clients")
-    opt.add_option('--no-jack-session', action='store_true', default=False,
-                   dest='no_jack_session',
-                   help="Do not build JACK session support")
     opt.add_option('--bindings', action='store_true', default=False, dest='bindings',
                    help="Build python bindings")
     opt.add_option('--dyn-manifest', action='store_true', default=False,
@@ -61,7 +56,7 @@
         try:
             conf.load('swig python')
             conf.check_python_headers()
-            autowaf.define(conf, 'LILV_BINDINGS', 1);
+            autowaf.define(conf, 'LILV_PYTHON', 1);
         except:
             pass
 
@@ -72,10 +67,6 @@
                       atleast_version='2.0.0', mandatory=False)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                       atleast_version='0.4.0', mandatory=True)
-    autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
-                      atleast_version='0.107.0', mandatory=False)
-    autowaf.check_pkg(conf, 'jack', uselib_store='NEW_JACK',
-                      atleast_version='0.120.0', mandatory=False)
 
     conf.check(function_name='wordexp',
                header_name='wordexp.h',
@@ -83,10 +74,6 @@
                mandatory=False)
 
     autowaf.check_header(conf, 'lv2/lv2plug.in/ns/lv2core/lv2.h')
-
-    if not Options.options.no_jack_session:
-        if conf.is_defined('HAVE_NEW_JACK') and conf.is_defined('HAVE_GTHREAD'):
-            autowaf.define(conf, 'LILV_JACK_SESSION', 1)
 
     conf.env.append_value('CFLAGS', '-std=c99')
     autowaf.define(conf, 'LILV_VERSION', LILV_VERSION)
@@ -131,28 +118,12 @@
 
     conf.env['LIB_LILV'] = ['lilv-%s' % LILV_MAJOR_VERSION]
 
-    if conf.is_defined('HAVE_JACK') and not Options.options.no_jack:
-        autowaf.check_header(conf, 'lv2/lv2plug.in/ns/ext/event/event.h',
-                             'HAVE_LV2_EVENT', mandatory=False)
-        autowaf.check_header(conf, 'lv2/lv2plug.in/ns/ext/event/event-helpers.h',
-                             'HAVE_LV2_EVENT_HELPERS', mandatory=False)
-        autowaf.check_header(conf, 'lv2/lv2plug.in/ns/ext/uri-map/uri-map.h',
-                             'HAVE_LV2_URI_MAP', mandatory=False)
-        if (conf.is_defined('HAVE_LV2_EVENT')
-            and conf.is_defined('HAVE_LV2_EVENT_HELPERS')
-            and conf.is_defined('HAVE_LV2_URI_MAP')):
-            autowaf.define(conf, 'LILV_USE_JACK', 1)
-
     conf.write_config_header('lilv-config.h', remove=False)
 
     autowaf.display_msg(conf, "Default LV2_PATH",
                         conf.env['LILV_DEFAULT_LV2_PATH'])
     autowaf.display_msg(conf, "Utilities",
                         bool(conf.env['BUILD_UTILS']))
-    autowaf.display_msg(conf, "Jack clients",
-                        bool(conf.is_defined('LILV_USE_JACK')))
-    autowaf.display_msg(conf, "Jack session support",
-                        bool(conf.env['LILV_JACK_SESSION']))
     autowaf.display_msg(conf, "Unit tests",
                         bool(conf.env['BUILD_TESTS']))
     autowaf.display_msg(conf, "Dynamic manifest support",
@@ -244,18 +215,6 @@
                       target       = i,
                       install_path = '${BINDIR}')
 
-    # JACK Host
-    if bld.is_defined('LILV_USE_JACK'):
-        obj = bld(features     = 'c cprogram',
-                  source       = 'utils/lv2jack.c',
-                  includes     = ['.', './src', './utils'],
-                  uselib       = 'JACK',
-                  use          = 'liblilv',
-                  target       = 'utils/lv2jack',
-                  install_path = '${BINDIR}')
-        if bld.is_defined('LILV_JACK_SESSION'):
-            autowaf.use_lib(bld, obj, 'GLIB GTHREAD')
-
     # Documentation
     autowaf.build_dox(bld, 'LILV', LILV_VERSION, top, out)
 
@@ -274,7 +233,6 @@
                   target     = 'bindings/_lilv',
                   includes   = ['..'],
                   swig_flags = '-c++ -python -Wall -I.. -llilv -features autodoc=1',
-                  vnum       = LILV_LIB_VERSION,
                   use        = 'liblilv')
         autowaf.use_lib(bld, obj, 'LILV')
 
@@ -303,3 +261,16 @@
         os.chdir(build_dir(ctx, 'doc/man/man3'))
         os.system("sed -i 's/LILV_API //' lilv.3")
         os.chdir(top)
+    except:
+        Logs.error("Failed to fix up %s documentation" % APPNAME)
+
+def upload_docs(ctx):
+    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/lilv/")
+
+def test(ctx):
+    autowaf.pre_test(ctx, APPNAME)
+    autowaf.run_tests(ctx, APPNAME, ['test/lilv_test'], dirs=['./src','./test'])
+    autowaf.post_test(ctx, APPNAME)
+
+def lint(ctx):
+    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* lilv/*', shell=True)
