=== debian/changelog ===
lilv (0.4.4-2) unstable; urgency=low

  * Update description as lilv-utils does no longer provide lv2jack.
  * Add patch taken from upstream SVN to fix a memory leak.
  * Support all Python versions.

 -- Alessio Treglia <alessio@debian.org>  Fri, 24 Jun 2011 10:27:00 +0200

lilv (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Delete debian/patches/0001-fix_python_bindings_detection.patch,
    applied upstream.
  * Refresh remaining patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 12 Jun 2011 12:56:46 +0200
