=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
 Depends: ${shlibs:Depends},
  ${python:Depends},
  ${misc:Depends}
+Provides: ${python:Provides}
 Description: library for simple use of LV2 plugins (Python bindings)
  Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
  LV2 Plugins as simple as possible (without sacrificing capabilities).
@@ -91,5 +92,4 @@
  .
  This package provides the following utilities:
   * lv2info - Extract information about an LV2 plugin.
-  * lv2jack - Run an LV2 plugin as a JACK application.
   * lv2ls - List all installed LV2 plugins.
