## lilv 0.5.0

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 import waflib.Logs as Logs
 
 # Version of this package (even if built as a child)
-LILV_VERSION       = '0.4.4'
+LILV_VERSION       = '0.5.0'
 LILV_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -27,8 +27,10 @@
 out = 'build'
 
 def options(opt):
+    opt.load('compiler_c')
+    opt.load('compiler_cxx')
+    opt.load('python')
     autowaf.set_options(opt)
-    opt.load('python')
     opt.add_option('--no-utils', action='store_true', default=False, dest='no_utils',
                    help="Do not build command line utilities")
     opt.add_option('--bindings', action='store_true', default=False, dest='bindings',
@@ -40,16 +42,16 @@
                    help="Build unit tests")
     opt.add_option('--no-bash-completion', action='store_true', default=False,
                    dest='no_bash_completion',
-                   help="Install bash completion script in /etc/bash_completion.d")
+                   help="Don't install bash completion script in CONFIGDIR")
     opt.add_option('--default-lv2-path', type='string', default='',
                    dest='default_lv2_path',
                    help="Default LV2 path to use if $LV2_PATH is unset (globs and ~ supported)")
+    opt.add_option('--static', action='store_true', default=False, dest='static',
+                   help="Build static library")
 
 def configure(conf):
-    conf.line_just = 63
-    autowaf.configure(conf)
-    autowaf.display_header('Lilv Configuration')
-    conf.load('compiler_cc')
+    conf.load('compiler_c')
+    conf.load('compiler_cxx')
     conf.load('python')
 
     if Options.options.bindings:
@@ -60,22 +62,22 @@
         except:
             pass
 
+    conf.line_just = 51
+    autowaf.configure(conf)
+    autowaf.display_header('Lilv Configuration')
+
     autowaf.check_pkg(conf, 'lv2core', uselib_store='LV2CORE', mandatory=True)
-    autowaf.check_pkg(conf, 'glib-2.0', uselib_store='GLIB',
-                      atleast_version='2.0.0', mandatory=True)
-    autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD',
-                      atleast_version='2.0.0', mandatory=False)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
-                      atleast_version='0.4.0', mandatory=True)
+                      atleast_version='0.5.0', mandatory=True)
 
     conf.check(function_name='wordexp',
                header_name='wordexp.h',
                define_name='HAVE_WORDEXP',
                mandatory=False)
 
-    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/lv2core/lv2.h')
-
-    conf.env.append_value('CFLAGS', '-std=c99')
+    autowaf.check_header(conf, 'c', 'lv2/lv2plug.in/ns/lv2core/lv2.h')
+
+    conf.env.append_unique('CFLAGS', '-std=c99')
     autowaf.define(conf, 'LILV_VERSION', LILV_VERSION)
     if Options.options.dyn_manifest:
         autowaf.define(conf, 'LILV_DYN_MANIFEST', 1)
@@ -114,6 +116,7 @@
 
     conf.env['BUILD_TESTS']     = Options.options.build_tests
     conf.env['BUILD_UTILS']     = not Options.options.no_utils
+    conf.env['BUILD_STATIC']    = Options.options.static
     conf.env['BASH_COMPLETION'] = not Options.options.no_bash_completion
 
     conf.env['LIB_LILV'] = ['lilv-%s' % LILV_MAJOR_VERSION]
@@ -154,6 +157,7 @@
         src/ui.c
         src/util.c
         src/world.c
+        src/zix/tree.c
     '''.split()
 
     linkflags = [ '-ldl' ]
@@ -162,7 +166,7 @@
         linkflags = []
         libflags  = []
 
-    # Library
+    # Shared Library
     obj = bld(features        = 'c cshlib',
               export_includes = ['.'],
               source          = lib_source,
@@ -171,34 +175,48 @@
               target          = 'lilv-%s' % LILV_MAJOR_VERSION,
               vnum            = LILV_LIB_VERSION,
               install_path    = '${LIBDIR}',
-              cflags          = libflags + [
-                                  '-DLILV_SHARED',
-                                  '-DLILV_INTERNAL' ],
+              cflags          = libflags + [ '-DLILV_SHARED',
+                                             '-DLILV_INTERNAL' ],
               linkflags       = linkflags)
-    autowaf.use_lib(bld, obj, 'SORD SERD LV2CORE GLIB')
+    autowaf.use_lib(bld, obj, 'SORD LV2CORE')
+
+    # Static library
+    if bld.env['BUILD_STATIC']:
+        obj = bld(features        = 'c cstlib',
+                  export_includes = ['.'],
+                  source          = lib_source,
+                  includes        = ['.', './src'],
+                  name            = 'liblilv_static',
+                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
+                  vnum            = LILV_LIB_VERSION,
+                  install_path    = '${LIBDIR}',
+                  cflags          = [ '-DLILV_INTERNAL' ])
+        autowaf.use_lib(bld, obj, 'SORD LV2CORE')
 
     if bld.env['BUILD_TESTS']:
-        # Static library (for unit test code coverage)
+        # Static profiled library (for unit test code coverage)
         obj = bld(features     = 'c cstlib',
                   source       = lib_source,
                   includes     = ['.', './src'],
-                  name         = 'liblilv_static',
-                  target       = 'lilv_static',
+                  name         = 'liblilv_profiled',
+                  target       = 'lilv_profiled',
                   install_path = '',
-                  cflags       = [ '-fprofile-arcs',  '-ftest-coverage', '-DLILV_INTERNAL' ],
-                  linkflags    = linkflags)
-        autowaf.use_lib(bld, obj, 'SORD SERD LV2CORE GLIB')
+                  cflags       = [ '-fprofile-arcs', '-ftest-coverage',
+                                   '-DLILV_INTERNAL' ],
+                  linkflags    = linkflags + ['-lgcov'])
+        autowaf.use_lib(bld, obj, 'SORD LV2CORE')
 
         # Unit test program
         obj = bld(features     = 'c cprogram',
                   source       = 'test/lilv_test.c',
                   includes     = ['.', './src'],
-                  use          = 'liblilv_static',
-                  uselib       = 'SORD SERD LV2CORE',
+                  use          = 'liblilv_profiled',
+                  uselib       = 'SORD LV2CORE',
                   linkflags    = linkflags + ['-lgcov'],
                   target       = 'test/lilv_test',
                   install_path = '',
                   cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ])
+        autowaf.use_lib(bld, obj, 'SORD LV2CORE')
 
     # Utilities
     if bld.env['BUILD_UTILS']:
@@ -224,7 +242,7 @@
     # Bash completion
     if bld.env['BASH_COMPLETION']:
         bld.install_as(
-            '/etc/bash_completion.d/lilv', 'utils/lilv.bash_completion')
+            '${SYSCONFDIR}/bash_completion.d/lilv', 'utils/lilv.bash_completion')
 
     if bld.is_defined('LILV_PYTHON'):
         # Python Wrapper
