=== debian/changelog ===
lilv (0.5.0-1) unstable; urgency=low

  * New upstream release:
    - Remove glib dependency
    - Add lv2core as a pkg-config dependency (for lv2.h header include)
    - Obey prefix when installing bash completion script
    - Support integer minimum, maximum, and default port values in
      lilv_plugin_get_port_ranges_float
    - Add ability to build static library
  * Requires sord >= 0.5.0.
  * Refresh patches.
  * Remove 0002-dyn_manifest_fix.patch, applied upstream.
  * Remove 2001-memleak.patch, applied upstream.
  * Drop libglib2.0-dev build-dependency.
  * Update symbols file.
  * Bash completion stuff are now installed in /usr/etc, so we need to
    move them from there to /etc.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Oct 2011 17:51:37 +0200
