=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- libglib2.0-dev,
  libjack-dev,
- libsord-dev,
+ libsord-dev (>= 0.5.0),
  lv2core,
  lv2-extensions-good,
  pkg-config,
