## lilv 0.5.0+dfsg0

=== debian/changelog ===
lilv (0.5.0+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654485).
  * Adjust the clean target to properly clean the sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 09:52:44 +0100

lilv (0.5.0-2) unstable; urgency=medium

  * Fix FTBFS with newest dynmanifest extension. (Closes: #654271)
  * Bump dependency on lv2-extensions-good.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 02:14:57 +0100
