=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libjack-dev,
  libsord-dev (>= 0.5.0),
  lv2core,
- lv2-extensions-good,
+ lv2-extensions-good (>= 0~20111202-1~),
  pkg-config,
  python-all-dev (>= 2.6.6-3),
  swig
