=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	done
 
 override_dh_auto_clean:
-	$(WAF) distclean
+	$(WAF) clean || true
+	find -name "*.pyc" -delete
 	rm -rf build .waf*
 	dh_auto_clean
