=== debian/watch ===
version=3
http://download.drobilla.net/lilv-(.*)\.tar\.bz2
