=== debian/changelog ===
lilv (0.14.2~dfsg0-4) unstable; urgency=low

  * Attempt to fix FTBFS on non-Linux architectures.
    Thanks to Steven Chamberlain for the patch.
  * Fix Vcs tags.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Jun 2012 23:25:40 +0200

lilv (0.14.2~dfsg0-3) unstable; urgency=low

  * Add libs{{e,o}rd,ratom}-dev into liblilv-dev's Depends field.
    (Closes: #674505)

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 May 2012 09:38:05 +0200

lilv (0.14.2~dfsg0-2) unstable; urgency=low

  * liblilv-dev depends on lv2-dev instead of lv2core.
  * Save some space by removing liblilv-doc, the same documentation
    is available online at: http://drobilla.net/docs/lilv/

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 11:31:46 +0200

lilv (0.14.2~dfsg0-1) unstable; urgency=low

  * New upstream release (Closes: #670647).
  * Replace old LV2 build-deps with lv2-dev.
  * Add build-dependency on libsratom-dev.
  * Add build-dep on libserd-dev, tighten up libsord-dev build-dependency.
  * Remove 0001-new_dynmanifest.patch, no longer needed.
  * Refresh all patches.
  * Switch -DEV to Arch: any.
  * Update symbols.
  * Update debian/copyright.
  * Bump debhelper requirement to 9.
  * debian/watch: Mangle dfsg suffix.
  * Bump Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Sun, 20 May 2012 23:48:54 +0200
