=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,6 @@
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
 PYVERS=$(shell pyversions -s)
-
-ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
-CONFIGURE_EXTRA_FLAGS += --docs
-endif
 
 %:
 	dh $@ --with python2
@@ -21,8 +17,7 @@
 				--strict \
 				--debug \
 				--bindings \
-				--dyn-manifest \
-				$(CONFIGURE_EXTRA_FLAGS) && \
+				--dyn-manifest && \
 		PYTHON="$$pyver" $(WAF) && \
 		PYTHON="$$pyver" $(WAF) install -f --destdir=$(CURDIR)/debian/tmp ; \
 	done
